﻿<UserControl x:Class="WpfUI.Views.HomeView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:WpfUI.Views" xmlns:viewmodels="clr-namespace:WpfUI.ViewModels" d:DataContext="{d:DesignInstance Type=viewmodels:HomeViewModel}"
             mc:Ignorable="d" 
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid Margin="50 0 0 0">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="300" />
            <ColumnDefinition Width="800"/>
        </Grid.ColumnDefinitions>

        <StackPanel Grid.Row="1" Grid.Column="0" Orientation="Vertical">
            <DockPanel Margin="0 10 0 10" Width="300" LastChildFill="False">
                <Label Content="Filtres" FontSize="20"/>
                <Button BorderThickness="0" 
                        DockPanel.Dock="Right" 
                        BorderBrush="{x:Null}" 
                        Background="{x:Null}" 
                        Foreground="#b53847" 
                        Content="Réinitialiser" 
                        Command="{Binding ClearFilterCommand}" />
            </DockPanel>
            <materialDesign:Card Width="300" Margin="0 20">
                <StackPanel Orientation="Horizontal">
                    <TextBox Margin="10 0 0 0" 
                             VerticalAlignment="Center" 
                             materialDesign:HintAssist.Hint="Rechercher" 
                             Width="290" 
                             FontSize="20"
                             Text="{Binding EmployeesFilter, UpdateSourceTrigger=PropertyChanged}">
                    </TextBox>
                </StackPanel>
            </materialDesign:Card>
            <Label Content="Sites" FontSize="18" />
            <ComboBox FontSize="15"
                Margin="4 0 0 0"
                ItemsSource="{Binding Sites}"
                DisplayMemberPath="Name"
                SelectedValue="{Binding SelectedSite, UpdateSourceTrigger=PropertyChanged}" />
            <Label Content="Services" FontSize="18" Margin="0 30 0 0" />
            <ComboBox FontSize="15"
                Margin="4 0 0 0"
                ItemsSource="{Binding Services}"
                DisplayMemberPath="Name"
                SelectedValue="{Binding SelectedService, UpdateSourceTrigger=PropertyChanged}"/>

            <Button FontSize="18" Width="200" Margin="0 40 0 0"  Background="#3854b5" Content="Appliquer" Command="{Binding FilterOnSiteAndServiceCommand}" />
        </StackPanel>

        <StackPanel Grid.Column="1" Margin="50 15 0 0">
            <ListBox ItemsSource="{Binding EmployeesCollectionView}">
                <ListBox.ItemTemplate>
                    <DataTemplate>
                        <Grid Height="100">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="100" />
                                <ColumnDefinition Width="*"/>
                            </Grid.ColumnDefinitions>
                            <Border Grid.Column="0" CornerRadius="8,0,8,0" Visibility="{Binding ImageIsNotNull, Converter={StaticResource BooleanToVisibilityConverter}}">
                                <Border.Background>
                                    <ImageBrush Stretch="Fill" ImageSource="{Binding ImagePath}"/>
                                </Border.Background>
                            </Border>
                            <materialDesign:PackIcon Grid.Column="0" Height="100" Width="100" Kind="Account" VerticalAlignment="Center"
                                                     Visibility="{Binding ImageIsNotNull, Converter={StaticResource InverseBoolToVisConverter}}"/>
                            <Grid Grid.Column="1" Margin="20 0">
                                <Grid.RowDefinitions>
                                    <RowDefinition />
                                    <RowDefinition />
                                    <RowDefinition />
                                </Grid.RowDefinitions>
                                <StackPanel Grid.Row="0" Orientation="Horizontal">
                                    <Label FontSize="18" FontWeight="Bold" Content="{Binding FullName}" VerticalAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Grid.Row="1" Orientation="Horizontal">
                                    <materialDesign:PackIcon Grid.Column="0" Height="20" Width="20" Kind="Email" VerticalAlignment="Center"/>
                                    <Label FontSize="14" FontStyle="Italic" Content="{Binding Email}" VerticalAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Grid.Row="2" Orientation="Horizontal">
                                    <StackPanel Orientation="Horizontal" Margin="0 0 20 0">
                                        <materialDesign:PackIcon Grid.Column="0" Height="20" Width="20" Kind="City" VerticalAlignment="Center"/>
                                        <Label FontSize="14" Content="{Binding SiteName}" VerticalAlignment="Center"/>
                                    </StackPanel>
                                    <StackPanel Orientation="Horizontal" Margin="0 0 20 0">
                                        <materialDesign:PackIcon Grid.Column="0" Height="20" Width="20" Kind="Briefcase" VerticalAlignment="Center"/>
                                        <Label FontSize="14" Content="{Binding ServiceName}" VerticalAlignment="Center"/>
                                    </StackPanel>
                                    <StackPanel Orientation="Horizontal" Margin="0 0 20 0">
                                        <materialDesign:PackIcon Grid.Column="0" Height="20" Width="20" Kind="Phone" VerticalAlignment="Center"/>
                                        <Label FontSize="14" Content="{Binding Phone}" VerticalAlignment="Center"/>
                                    </StackPanel>
                                    <StackPanel Orientation="Horizontal" Margin="0 0 20 0">
                                        <materialDesign:PackIcon Grid.Column="0" Height="20" Width="20" Kind="Cellphone" VerticalAlignment="Center"/>
                                        <Label FontSize="14" Content="{Binding CellPhone}" VerticalAlignment="Center"/>
                                    </StackPanel>
                                </StackPanel>
                            </Grid>
                        </Grid>
                    </DataTemplate>
                </ListBox.ItemTemplate>
            </ListBox>
        </StackPanel>
    </Grid>
</UserControl>
